@echo off
echo BkClean.Bat Clean up files prior to backup. 2011-12-31
rem called from bk.bat and bkq.bat
rem Customise this to your needs. It could even do nothing.
rem Here you clean up your files prior to backup.
rem Things you might to include:
rem - delete junk files.
rem - compact excess white space out of html.
rem - build summary descriptions.
rem - Untouch files that have not really changed back to their original dates.

rem delete junk files, rebuild 4NT dir, mark dirs as recently accessed.
rem batikAcer is a custom program built with Batik to scour junk files off my disk.
rem Customise to your needs. You probably won't have a custom batik app as I do.

rem optional
echo deleting junk files, could be done with a string of del commands.
batikAcer.exe

rem optional
echo emptying recycle bins...
emptyrecyclebin.exe /Q

rem optional
echo rebuild file overview descriptions in G:\DL tree of downloaded files.
rem  Take Command needed for this.
G:
cd \dl
call mkoverviews.btm

E:
cd E:\com\mindprod\htmlmacros
call tidy.btm

rem optional
echo untouching (redating) files that have not really changed so we will not rebuild the archive they live in.
rem we put them back to the old date so they will not be re-backed up.
untouch.exe -q -s G:\dl  E:\mindprod  E:\env   E:\intellij  C:\Users\roedy\AppData\Local\Thunderbird\  C:\Users\roedy\AppData\Roaming\Thunderbird\

rem -30-
